Index: /extensions/nbc_ThemeChanger/language/en_UK/description.txt
===================================================================
--- /extensions/nbc_ThemeChanger/language/en_UK/description.txt	(revision 10272)
+++ /extensions/nbc_ThemeChanger/language/en_UK/description.txt	(revision 10272)
@@ -0,0 +1,2 @@
+ThemeChanger allow you to associate for each album a specific theme. 
+For the unspecified albums, the theme by default is applied.
Index: /extensions/nbc_ThemeChanger/language/fr_FR/description.txt
===================================================================
--- /extensions/nbc_ThemeChanger/language/fr_FR/description.txt	(revision 10272)
+++ /extensions/nbc_ThemeChanger/language/fr_FR/description.txt	(revision 10272)
@@ -0,0 +1,3 @@
+Permet d'associer à chaque album virtuel ou physique un thème spécifique.
+ThemeChanger vous permet de spécifier pour chaque album un thème différent.
+Pour les Album non spécifiées, le thème par défaut s'applique.
Index: /extensions/nbc_ThemeChanger/language/lv_LV/description.txt
===================================================================
--- /extensions/nbc_ThemeChanger/language/lv_LV/description.txt	(revision 10272)
+++ /extensions/nbc_ThemeChanger/language/lv_LV/description.txt	(revision 10272)
@@ -0,0 +1,2 @@
+TemuMainitajs dod iespeju katrai kategorijai piesaistit (asociet) ipau temu.
+Nestandarta (nespecificetam) kategorijam ir piesaistita tema pec nokluseanas.
Index: /extensions/nbc_ThemeChanger/language/lv_LV/index.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/lv_LV/index.php	(revision 10272)
+++ /extensions/nbc_ThemeChanger/language/lv_LV/index.php	(revision 10272)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/nbc_ThemeChanger/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/lv_LV/plugin.lang.php	(revision 10272)
+++ /extensions/nbc_ThemeChanger/language/lv_LV/plugin.lang.php	(revision 10272)
@@ -0,0 +1,14 @@
+<?php
+
+$lang['Valide_assoc'] = 'Derīga asociācija';
+$lang['ErrorDelete_assoc'] = 'Asociācija nederīga, jo nav saskaņā ar tēmu (nomāc to)';
+$lang['ErrorUnactive_assoc'] = 'Asociācija nederīga, jo tēma nav aktīva';
+
+$lang['title_assoc'] = 'TēmuMainītājs';
+$lang['add_assoc'] = 'Pievienot jaunu asociāciju';
+$lang['action'] = 'Darbība';
+$lang['modify_assoc'] = 'Modificēt asociāciju';
+$lang['delete_assoc']='Izdzēst asociāciju';
+$lang['nbc_ThemeChanger_save_config']='Konfigurācija saglabāta.';
+$lang['subCategoriesApply']='Pielietot ApakšKategorijām?';
+?>
Index: /extensions/nbc_ThemeChanger/main.inc.php
===================================================================
--- /extensions/nbc_ThemeChanger/main.inc.php	(revision 10271)
+++ /extensions/nbc_ThemeChanger/main.inc.php	(revision 10272)
@@ -3,11 +3,6 @@
 Plugin Name: NBC ThemeChanger
 Version: 2.2.0.B
-Description: Permet d'associer à chaque catégorie virtuel ou physique un thème spécifique.
-	ThemeChanger vous permet de spécifier pour chaque catérie un thème différent.
-	Pour les catégories non spécifiées, le thème par défaut s'applique.
-	ThemeChanger allow you to associate for each category a specific theme. 
+Description: ThemeChanger allow you to associate for each category a specific theme. 
 	For the unspecified categories, the theme by default is applied.
-	ThemeChanger permette di precisare per ogni categoria un tema diverso. 
-	Per le categorie non precisato, il tema da difetto è applicato.
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=214
 Author: Datajulien