Index: /extensions/FacebookPlug/Plugin/language/it_IT/admin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/admin.lang.php	(revision 10284)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/admin.lang.php	(revision 10285)
@@ -26,5 +26,5 @@
 // Italien
 $lang['page'] = 'pagina';
-$lang['image'] = 'immagine';
+$lang['image'] = 'foto';
 $lang['standard'] = 'standard';
 $lang['button_count'] = 'tasto con contatore';
@@ -39,5 +39,5 @@
 $lang['Like button'] = 'tasto "mi piace"';
 $lang['Enabled'] = 'Attivato';
-$lang['Picture URL type'] = 'Tipo di URL per le immagini';
+$lang['Picture URL type'] = 'Tipo di URL per le foto';
 $lang['Layout style'] = 'Stile di visualizzazione';
 $lang['Show faces'] = 'Vedere le facce';
@@ -51,5 +51,5 @@
 $lang['Data updated with error'] = 'Dati aggiornati con errori';
 $lang['Facepile'] = 'Facepile';
-$lang['on slideshow pages'] = 'sul diaporama';
+$lang['on slideshow pages'] = 'sulla diaposiriva';
 $lang['Num rows'] = 'Numero di linee';
 $lang['Comments'] = 'Commenti';
@@ -60,8 +60,8 @@
 $lang['Publish feed'] = 'Pubblicare i commenti';
 $lang['Facebook application identifient'] = 'ID dell\'applicazione Facebook';
-$lang['On picture pages'] = 'Nelle pagine d\'immagini';
-$lang['On menu of main pages'] = 'Nei menu delle pagini principali';
+$lang['On picture pages'] = 'Sulle pagine di foto';
+$lang['On menu of main pages'] = 'Nei menu delle pagine principali';
 $lang['Options'] = 'Opzioni';
-$lang['Like button and comments cannot be enabled together'] = 'Il tasto "Mi piace", ei commenti possono essere attivati contemporaneamente';
+$lang['Like button and comments cannot be enabled together'] = 'Il tasto "Mi piace", e i commenti possono essere attivati contemporaneamente';
 $lang['enabled values are restored'] = 'i valori d\'attivazione sono stati restaurati';
 $lang['Informations'] = 'Informazioni';
@@ -73,5 +73,5 @@
 $lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Consigliato per permettere a Facebook di ottenere il titolo, ..., delle vostre pagine per visualizzarle sulla bacheca.';
 $lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Da compilare solo se si desidera utilizzare un\'applicazione specifica Facebook. Si raccomanda di lasciare il campo vuoto.';
-$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Il tipo "pagina" permette di fare riferimento alla pagina e Facebook può recuperare le informazioni (titolo, ...). Il tipo "immagine" permette di fare riferimento all\'url dell\immagine e Facebook non può più ottenere ulteriori informazioni, ma funziona sempre con gli album privati.';
+$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Il tipo "pagina" permette di fare riferimento alla pagina e Facebook può recuperare le informazioni (titolo, ...). Il tipo "foto" permette di fare riferimento all\'url della foto e Facebook non può più ottenere ulteriori informazioni, ma funziona sempre con gli album privati.';
 $lang['Promote'] = 'Promuovere';
 $lang['Add informations on about page'] = 'Aggiunta d\'informazioni sulla pagina "About"';
@@ -87,12 +87,12 @@
 $lang['Activity'] = 'Attività';
 $lang['Share'] = 'Condividere';
-$lang['Share picture page'] = 'Condividere la pagina "immagine"';
-$lang['Add a icon link on each picture page to share on Facebook'] = 'Aggiunge un\'icona con un link al fine di condividere ogni pagina "immagine" su Facebook';
-$lang['Share album page'] = 'Partager la page "album"';
+$lang['Share picture page'] = 'Condividere la pagina "foto"';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Aggiunge un\'icona con un link al fine di condividere ogni pagina "foto" su Facebook';
+$lang['Share album page'] = 'Condividere la pagina "album"';
 $lang['Add a icon link on each album page to share on Facebook'] = 'Aggiunge un\'icona con un link al fine di condividere ogni pagina "album" su Facebook';
 $lang['Buttons'] = 'Pulzante';
 $lang['Upload'] = 'Scaricare';
-$lang['Upload picture'] = 'Scaricare un\'immagine';
-$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Aggiunge un\'icona con un link al fine di scaricare ogni immagine sur Facebook';
+$lang['Upload picture'] = 'Scaricare una foto';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Aggiunge un\'icona con un link al fine di scaricare ogni foto sur Facebook';
 
 ?>
Index: /extensions/FacebookPlug/Plugin/language/it_IT/common.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/it_IT/common.lang.php	(revision 10284)
+++ /extensions/FacebookPlug/Plugin/language/it_IT/common.lang.php	(revision 10285)
@@ -28,5 +28,5 @@
 $lang['Via Facebook Piwigo application'] = 'Via l\'applicazione Piwigo su Facebook';
 $lang['Share on Facebook'] = 'Condividere su Facebook';
-$lang['Upload photo on Facebook'] = 'Scaricare l\'immagine su Facebook';
+$lang['Upload photo on Facebook'] = 'Scaricare la foto su Facebook';
 
 ?>