Index: /extensions/floPure/Pure_default/template/stuffs_blocks.tpl
===================================================================
--- /extensions/floPure/Pure_default/template/stuffs_blocks.tpl	(revision 10295)
+++ /extensions/floPure/Pure_default/template/stuffs_blocks.tpl	(revision 10295)
@@ -0,0 +1,37 @@
+<div class="content stuffs_block">
+  <table id="table_content" border="0" cellspacing="0" cellpadding="0">
+    <tr>
+      <td id="section_up_left">&nbsp;</td>
+      <td id="section_up">&nbsp;</td>
+      <td id="section_up_right">&nbsp;</td>
+    </tr>
+    <tr>
+      <td id="section_left">&nbsp;</td>
+      <td id="section_in"> {foreach from=$blocks item=block key=key}
+        {if $block.new_line}
+        <div class="content stuffs_block stuffs"> {/if}
+          <div id="stuffs_block_{$block.ID}" class="content {$block.CLASS}" {if !empty($block.WIDTH)}style="width: {$block.WIDTH}%;"{/if}> {if isset($block.TITLE)}
+            <div class="titrePage"> {if !empty($block.U_EDIT)}
+              <ul class="categoryActions">
+                <li><a href="{$block.U_EDIT}" title="{'edit'|@translate}" class="pwg-state-default pwg-button"> <span class="pwg-icon pwg-icon-category-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span> </a></li>
+              </ul>
+              {/if}
+              {if isset($block.TITLE_URL)}
+              <h2><a href="{$block.TITLE_URL}">{$block.TITLE}</a></h2>
+              {else}
+              <h2>{$block.TITLE}</h2>
+              {/if} </div>
+            {/if}
+            {include file=$block.TEMPLATE} </div>
+          {if $block.end_line} </div>
+        {/if}
+        {/foreach} </td>
+      <td id="section_right">&nbsp;</td>
+    </tr>
+    <tr>
+      <td id="section_bottom_left">&nbsp;</td>
+      <td id="section_bottom" >&nbsp;</td>
+      <td id="section_bottom_right" >&nbsp;</td>
+    </tr>
+  </table>
+</div>
Index: /extensions/floPure/Pure_default/themeconf.inc.php
===================================================================
--- /extensions/floPure/Pure_default/themeconf.inc.php	(revision 10294)
+++ /extensions/floPure/Pure_default/themeconf.inc.php	(revision 10295)
@@ -49,20 +49,10 @@
 	}
 }
-/** index.tpl **/
+/************************************ index.tpl ************************************/
 add_event_handler('loc_end_index', 'Pure_default_index');
-add_event_handler('loc_end_index', 'Pure_default_index_stuff');
 function Pure_default_index()
 {
     global $template;
     $template->set_prefilter('index', 'Pure_default_prefilter_index');
-    //$template->set_prefilter('stuffs', 'Pure_default_prefilter_index_stuff');
-		//return $tpl_thumbnails_var;
-}
-function Pure_default_index_stuff()
-{
-    global $template;
-    //$template->set_prefilter('index', 'Pure_default_prefilter_index');
-    $template->set_prefilter('stuffs', 'Pure_default_prefilter_index_stuff');
-		//return $tpl_thumbnails_var;
 }
 function Pure_default_prefilter_index($content, &$smarty)
@@ -95,45 +85,4 @@
 ';
   return preg_replace($search, $replacement, $content);
-}
-function Pure_default_prefilter_index_stuff($content, &$smarty)
-{
-  
-	$search = '#<div class="content stuffs_block">#';  
-  $replacement = '<div class="content stuffs_block">
-  <table id="table_content" border="0" cellspacing="0" cellpadding="0">
-    <tr>
-      <td id="section_up_left">&nbsp;</td>
-      <td id="section_up">&nbsp;</td>
-      <td id="section_up_right">&nbsp;</td>
-    </tr>
-    <tr>
-      <td id="section_left">&nbsp;</td>
-      <td id="section_in">
-';
-  $content = preg_replace($search, $replacement, $content);
-	
-  $search = '#\{if \$block\.end_line\}
-  </div>
-  \{\/if\}
-\{/foreach\}
-</div>#';  
-  $replacement = '{if $block.end_line}
-  </div>
-  {/if}
-{/foreach}
-      </td>
-	  <td id="section_right">&nbsp;</td>
-    </tr>
-    <tr>
-      <td id="section_bottom_left">&nbsp;</td>
-      <td id="section_bottom" >&nbsp;</td>
-      <td id="section_bottom_right" >&nbsp;</td>
-    </tr>
-  </table>
-</div>';
-  return preg_replace($search, $replacement, $content);
-	
-	//echo($content);
-	//return 'blabmabhmijokpiuyftdfghijkougyffguio';
 }
 