Index: /extensions/Icons_Set/admin.php
===================================================================
--- /extensions/Icons_Set/admin.php	(revision 10325)
+++ /extensions/Icons_Set/admin.php	(revision 10326)
@@ -12,4 +12,40 @@
 {
 	check_pwg_token();
+	$conf_iconset = @unserialize($conf['iconset']);//pwg_db_real_escape_string(serialize($conf_iconset))
+	$conf_themes=$conf_iconset['themes'];
+	$conf_icons=$conf_iconset['icons'];
+	$conf_icons=$conf_iconset['icons'];
+	$error_update='';
+	$update_ok='';
+	foreach ($conf_themes as $theme_id => $iconset) // theme supprimé
+	{
+		if (isset($_POST[$theme_id]) and isset($conf_themes[$theme_id]) and $conf_themes[$theme_id]!=$_POST[$theme_id] and in_array($_POST[$theme_id], $conf_icons))
+		{
+			$conf_themes[$theme_id]=$_POST[$theme_id];
+			$update_ok.=$theme_id.' / ';
+		}
+		elseif (empty($_POST[$theme_id]) and $conf_themes[$theme_id]!=$_POST[$theme_id])
+		{
+			$conf_themes[$theme_id]='';
+			$update_ok.=$theme_id.' / ';
+		}
+		elseif (!isset($_POST[$theme_id]) or !isset($conf_themes[$theme_id]) or (!in_array($_POST[$theme_id], $conf_icons) and !empty($_POST[$theme_id])) )
+		{
+			$error_update.=$theme_id.' / ';
+		}
+	}
+	$conf['iconset']=array(
+		'themes'=>$conf_themes,
+		'icons'=>$conf_icons
+		);
+  $query = '
+    UPDATE '.CONFIG_TABLE.'
+    SET value="'.pwg_db_real_escape_string(serialize($conf['iconset'])).'"
+    WHERE param="iconset"
+    LIMIT 1';
+  pwg_query($query);
+	if (!empty($error_update)) { 	array_push($page['infos'], l10n('iconset_error_update').$error_update );	 }
+	if (!empty($update_ok)) { 	array_push($page['infos'], l10n('iconset_update_ok').$update_ok );	 }
+	load_conf_from_db();
 }
 ////////////////////////////////////////////////
@@ -117,4 +153,5 @@
     LIMIT 1';
   pwg_query($query);
+	load_conf_from_db();
 	if (!empty($info_new_theme)) { 	array_push($page['infos'], l10n('iconset_info_new_theme').$info_new_theme );	 }
 	if (!empty($info_new_icon)) { 	array_push($page['infos'], l10n('iconset_info_new_icon').$info_new_icon );	 }
@@ -144,4 +181,10 @@
 $values=array();
 $output=array();
+$template->func_combine_css(array(
+	'path' => 'themes/default/iconset.css',
+	),
+	$smarty
+);
+
 foreach ($conf_icons as $iconset)
 {
@@ -153,7 +196,13 @@
   'icon_file' => $iconsetconf['icon_file'],
   'css_file' => $iconsetconf['css_file'],
+  'css_file_admin' => $iconsetconf['css_file_admin'],
 	);
 	$values[]=$iconset;
 	$output[]=$iconsetconf['name'];
+	$template->func_combine_css(array(
+		'path' => $iconsetconf['css_file_admin'],
+		),
+		$smarty
+	);
 }
 $template->assign(array(
@@ -173,4 +222,5 @@
 	$smarty
 );
+
 $template->set_filename('plugin_admin_content', dirname(__FILE__) .'/template/admin.tpl');
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
Index: /extensions/Icons_Set/icons/old_sylvia/icon.css
===================================================================
--- /extensions/Icons_Set/icons/old_sylvia/icon.css	(revision 10326)
+++ /extensions/Icons_Set/icons/old_sylvia/icon.css	(revision 10326)
@@ -0,0 +1,10 @@
+@import '../../../../themes/default/iconset.css';
+
+.pwg-icon, #iconBox_old_sylvia .pwg-icon {
+	background-image: url(showimage.png);
+}
+
+A:hover .pwg-icon, #iconBox_old_sylvia .pwg-icon a:hover {
+	background-image: url(showimage.png);
+}
+
Index: /extensions/Icons_Set/icons/old_sylvia/icon_admin.css
===================================================================
--- /extensions/Icons_Set/icons/old_sylvia/icon_admin.css	(revision 10326)
+++ /extensions/Icons_Set/icons/old_sylvia/icon_admin.css	(revision 10326)
@@ -0,0 +1,5 @@
+
+#iconBox_old_sylvia .pwg-icon {
+	background-image: url(showimage.png);
+}
+
Index: /extensions/Icons_Set/icons/old_sylvia/iconset.conf.php
===================================================================
--- /extensions/Icons_Set/icons/old_sylvia/iconset.conf.php	(revision 10325)
+++ /extensions/Icons_Set/icons/old_sylvia/iconset.conf.php	(revision 10326)
@@ -3,6 +3,7 @@
   'name' => 'Old Sylvia',
   'id' => 'old_sylvia',
-  'icon_file' => ICONSET_PATH.'icons/old_sylvia/icon.png',
+  'icon_file' => ICONSET_PATH.'icons/old_sylvia/showimage.png',
   'css_file' => ICONSET_PATH.'icons/old_sylvia/icon.css',
+  'css_file_admin' => ICONSET_PATH.'icons/old_sylvia/icon_admin.css',
 );
 
Index: /extensions/Icons_Set/icons/tango_vert/icon.css
===================================================================
--- /extensions/Icons_Set/icons/tango_vert/icon.css	(revision 10326)
+++ /extensions/Icons_Set/icons/tango_vert/icon.css	(revision 10326)
@@ -0,0 +1,54 @@
+@import '../../../../themes/default/iconset.css';
+
+.pwg-icon, #iconBox_tango_vert .pwg-icon{
+	background-image: url(sprite.png);
+}
+A.pwg-button {
+	border:none;
+}
+.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -360px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -504px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -648px; width: 22px; height: 22px; } 
+
+.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+.pwg-icon-arrow-e{ background-position: 0 -72px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-n{ background-position: 0 -216px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-w{ background-position: 0 -288px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-e{ background-position: 0 -432px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-w{ background-position: 0 -576px; width: 22px; height: 22px; } 
+
+.pwg-icon-caddie-add{ background-position: 0 -720px; width: 24px; height: 24px; } 
+.pwg-icon-calendar{ background-position: 0 -794px; width: 22px; height: 22px; } 
+.pwg-icon-camera-calendar{ background-position: 0 -866px; width: 24px; height: 24px; } 
+.pwg-icon-camera-info{ background-position: 0 -940px; width: 22px; height: 22px; } 
+.pwg-icon-category-edit{ background-position: 0 -1012px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-flat{ background-position: 0 -1084px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-normal{ background-position: 0 -1156px; width: 22px; height: 22px; } 
+.pwg-icon-chat{ background-position: 0 -1228px; width: 22px; height: 22px; } 
+.pwg-icon-clock-minus{ background-position: 0 -1300px; width: 22px; height: 22px; } 
+.pwg-icon-clock-plus{ background-position: 0 -1372px; width: 22px; height: 22px; } 
+.pwg-icon-close{ background-position: 0 -1444px; width: 24px; height: 24px; } 
+.pwg-icon-cloud{ background-position: 0 -1518px; width: 22px; height: 22px; } 
+.pwg-icon-edit{ background-position: 0 -1590px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-add{ background-position: 0 -1662px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-del{ background-position: 0 -1734px; width: 22px; height: 22px; } 
+.pwg-icon-help{ background-position: 0 -1806px; width: 22px; height: 22px; } 
+.pwg-icon-home{ background-position: 0 -1878px; width: 22px; height: 22px; } 
+.pwg-icon-letters{ background-position: -74px 0; width: 22px; height: 22px; } 
+.pwg-icon-lost-password{ background-position: -74px -72px; width: 24px; height: 24px; } 
+.pwg-icon-pause{ background-position: -74px -146px; width: 22px; height: 22px; } 
+.pwg-icon-play{ background-position: -74px -218px; width: 22px; height: 22px; } 
+.pwg-icon-register{ background-position: -74px -290px; width: 24px; height: 24px; } 
+.pwg-icon-repeat-play{ background-position: -74px -364px; width: 22px; height: 22px; } 
+.pwg-icon-repeat-stop{ background-position: -74px -436px; width: 22px; height: 22px; } 
+.pwg-icon-representative{ background-position: -74px -508px; width: 22px; height: 22px; } 
+.pwg-icon-rss{ background-position: -74px -580px; width: 22px; height: 22px; } 
+.pwg-icon-save{ background-position: -74px -652px; width: 24px; height: 24px; } 
+.pwg-icon-search{ background-position: -74px -726px; width: 22px; height: 22px; } 
+.pwg-icon-slideshow{ background-position: -74px -798px; width: 22px; height: 22px; } 
+.pwg-icon-small_resizable{ background-position: -74px -870px; width: 16px; height: 16px; } 
+.pwg-icon-stop{ background-position: -74px -936px; width: 22px; height: 22px; } 
+.pwg-icon-tag{ background-position: -74px -1008px; width: 22px; height: 22px; } 
+.pwg-icon-upload{ background-position: -74px -1080px; width: 22px; height: 22px; } 
+
Index: /extensions/Icons_Set/icons/tango_vert/icon_admin.css
===================================================================
--- /extensions/Icons_Set/icons/tango_vert/icon_admin.css	(revision 10326)
+++ /extensions/Icons_Set/icons/tango_vert/icon_admin.css	(revision 10326)
@@ -0,0 +1,52 @@
+#iconBox_tango_vert .pwg-icon {
+	background-image: url(sprite.png);
+}
+A.pwg-button {
+	border:none;
+}
+#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -360px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -504px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -648px; width: 22px; height: 22px; } 
+
+#iconBox_tango_vert .pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-arrow-e{ background-position: 0 -72px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-arrow-n{ background-position: 0 -216px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-arrow-w{ background-position: 0 -288px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-arrowstop-e{ background-position: 0 -432px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-arrowstop-w{ background-position: 0 -576px; width: 22px; height: 22px; } 
+
+#iconBox_tango_vert .pwg-icon-caddie-add{ background-position: 0 -720px; width: 24px; height: 24px; } 
+#iconBox_tango_vert .pwg-icon-calendar{ background-position: 0 -794px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-camera-calendar{ background-position: 0 -866px; width: 24px; height: 24px; } 
+#iconBox_tango_vert .pwg-icon-camera-info{ background-position: 0 -940px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-category-edit{ background-position: 0 -1012px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-category-view-flat{ background-position: 0 -1084px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-category-view-normal{ background-position: 0 -1156px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-chat{ background-position: 0 -1228px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-clock-minus{ background-position: 0 -1300px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-clock-plus{ background-position: 0 -1372px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-close{ background-position: 0 -1444px; width: 24px; height: 24px; } 
+#iconBox_tango_vert .pwg-icon-cloud{ background-position: 0 -1518px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-edit{ background-position: 0 -1590px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-favorite-add{ background-position: 0 -1662px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-favorite-del{ background-position: 0 -1734px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-help{ background-position: 0 -1806px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-home{ background-position: 0 -1878px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-letters{ background-position: -74px 0; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-lost-password{ background-position: -74px -72px; width: 24px; height: 24px; } 
+#iconBox_tango_vert .pwg-icon-pause{ background-position: -74px -146px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-play{ background-position: -74px -218px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-register{ background-position: -74px -290px; width: 24px; height: 24px; } 
+#iconBox_tango_vert .pwg-icon-repeat-play{ background-position: -74px -364px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-repeat-stop{ background-position: -74px -436px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-representative{ background-position: -74px -508px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-rss{ background-position: -74px -580px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-save{ background-position: -74px -652px; width: 24px; height: 24px; } 
+#iconBox_tango_vert .pwg-icon-search{ background-position: -74px -726px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-slideshow{ background-position: -74px -798px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-small_resizable{ background-position: -74px -870px; width: 16px; height: 16px; } 
+#iconBox_tango_vert .pwg-icon-stop{ background-position: -74px -936px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-tag{ background-position: -74px -1008px; width: 22px; height: 22px; } 
+#iconBox_tango_vert .pwg-icon-upload{ background-position: -74px -1080px; width: 22px; height: 22px; } 
+
Index: /extensions/Icons_Set/icons/tango_vert/iconset.conf.php
===================================================================
--- /extensions/Icons_Set/icons/tango_vert/iconset.conf.php	(revision 10326)
+++ /extensions/Icons_Set/icons/tango_vert/iconset.conf.php	(revision 10326)
@@ -0,0 +1,10 @@
+<?php
+$iconsetconf = array(
+  'name' => 'Tango Icon Green',
+  'id' => 'tango_vert',
+  'icon_file' => ICONSET_PATH.'icons/tango_vert/sprite.png',
+  'css_file' => ICONSET_PATH.'icons/tango_vert/icon.css',
+  'css_file_admin' => ICONSET_PATH.'icons/tango_vert/icon_admin.css',
+);
+
+?>
Index: /extensions/Icons_Set/template/admin.css
===================================================================
--- /extensions/Icons_Set/template/admin.css	(revision 10325)
+++ /extensions/Icons_Set/template/admin.css	(revision 10326)
@@ -2,11 +2,34 @@
 
 .iconBox {
-    background-color: #333333;
-    border-radius: 5px 5px 5px 5px;
-    display: inline-table;
-    height: 50px;
-    margin: 5px;
-    overflow: hidden;
-    text-align: center;
-		width:100%;
+	background-color: #333333;
+	border-radius: 5px 5px 5px 5px;
+	display: inline-table;
+	height: 50px;
+	margin: 5px;
+	overflow: hidden;
+	text-align: center;
+	width:100%;
 }
+.iconShot LI {
+	float:left;
+	list-style:none;
+}
+.iconName {
+	float:left;
+	line-height: 50px;
+	width:200px;
+	text-align:center;
+	font-weight: bold;
+}
+.iconShot {
+	float:left;
+	padding-left:50p;
+	height: 50px;
+}
+.see_all {
+	margin-left:10px;
+}
+.iconShot a:hover {
+	text-decoration:none;
+	border-bottom:none;
+}
Index: /extensions/Icons_Set/template/admin.tpl
===================================================================
--- /extensions/Icons_Set/template/admin.tpl	(revision 10325)
+++ /extensions/Icons_Set/template/admin.tpl	(revision 10326)
@@ -1,42 +1,59 @@
 <div class="titrePage">
-  <h2>{'Installed Themes'|@translate}</h2>
+  <h2>{'iconset_configpage'|@translate}</h2>
 </div>
-
 <div id="themesContent">
-<fieldset>
-<legend>{'iconset_All_Themes'|@translate}</legend>
-<form action="" method="post" name="externe">
-<div class="themeBoxes">
-{foreach from=$all_themes item=theme}
-  <div class="themeBox">
-    <div class="themeName">{$theme.name}</div>
-    <div class="themeShot"><img src="{$theme.screenshot}" alt="screenshot"></div>
-    <div class="themeActions">
-      <div>
-      <select name="set">
-        <option value="NULL">{'iconset_nothing'|@translate}</option>
-        {html_options output=$output values=$values selected=$theme.icon}
-      </select>
+  <fieldset>
+    <legend>{'iconset_All_Themes'|@translate}</legend>
+    <form action="" method="post" name="externe">
+      <div class="themeBoxes"> {foreach from=$all_themes item=theme}
+        <div class="themeBox">
+          <div class="themeName">{$theme.name}</div>
+          <div class="themeShot"><img src="{$theme.screenshot}" alt="screenshot"></div>
+          <div class="themeActions">
+            <div>
+              <select name="{$theme.id}">
+                <option value="">{'iconset_nothing'|@translate}</option>
+				        {html_options output=$output values=$values selected=$theme.icon}
+              </select>
+            </div>
+          </div>
+          <!-- themeActions --> 
+        </div>
+        {/foreach} </div>
+      <!-- themeBoxes -->
+      <input name="envoi_config" type="hidden" value="iconset" />
+      <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
+      <input type="submit" name="button2" id="button2" value="{'iconset_send'|@translate}" style=" width:100%" />
+    </form>
+  </fieldset>
+  <fieldset>
+    <legend>{'iconset_All_Icons'|@translate}</legend>
+    <div class="iconBoxes"> {foreach from=$all_icons item=icons}
+      <div class="iconBox" id="iconBox_{$icons.id}">
+        <div class="iconName">{$icons.name}</div>
+        <div class="iconShot">
+          <ul>
+            <li><a href="#" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-slideshow"> </span><span class="pwg-button-text">{'slideshow'|@translate}</span> </a></li>
+            <li><a href="#" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-camera-info"> </span><span class="pwg-button-text">{'Show file metadata'|@translate}</span> </a></li>
+            <li><a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-save"> </span><span class="pwg-button-text">{'download'|@translate}</span> </a></li>
+            <li><a href="#" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}"> </span><span class="pwg-button-text">{'Favorites'|@translate}</span> </a></li>
+            <li><a href="#" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-representative"> </span><span class="pwg-button-text">{'representative'|@translate}</span> </a></li>
+            <li><a href="#" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span> </a></li>
+            <li><span class="pwg-state-disabled pwg-button"> <span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span> </span></li>
+            <li><span class="pwg-state-disabled pwg-button"> <span class="pwg-icon pwg-icon-arrow-w">&nbsp;</span><span class="pwg-button-text">{'Previous'|@translate}</span> </span></li>
+            <li><a href="#" title="{'Thumbnails'|@translate}" class="pwg-state-default pwg-button"> <span class="pwg-icon pwg-icon-arrow-n">&nbsp;</span><span class="pwg-button-text">{'Thumbnails'|@translate}</span> </a></li>
+            <li><a href="#" title="{'Next'|@translate} : {$next.TITLE}" class="pwg-state-default pwg-button pwg-button-icon-right"> <span class="pwg-icon pwg-icon-arrow-e">&nbsp;</span><span class="pwg-button-text">{'Next'|@translate}</span> </a></li>
+            <li><a href="#" title="{'Last'|@translate} : {$last.TITLE}" class="pwg-state-default pwg-button pwg-button-icon-right"> <span class="pwg-icon pwg-icon-arrowstop-e"></span><span class="pwg-button-text">{'Last'|@translate}</span> </a></li>
+            <li>{strip}<a href="#" title="{'display all photos in all sub-albums'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-category-view-flat"> </span><span class="pwg-button-text">{'display all photos in all sub-albums'|@translate}</span> </a>{/strip}</li>
+            <li>{strip}<a href="#" title="{'return to normal view mode'|@translate}" class="pwg-state-default pwg-button"> <span class="pwg-icon pwg-icon-category-view-normal"> </span><span class="pwg-button-text">{'return to normal view mode'|@translate}</span> </a>{/strip}</li>
+            <li>{strip}<a href="#" title="{'display a calendar by posted date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-calendar"> </span><span class="pwg-button-text">{'Calendar'|@translate}</span> </a>{/strip}</li>
+            <li>{strip}<a href="#" title="{'display a calendar by creation date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow"> <span class="pwg-icon pwg-icon-camera-calendar"> </span><span class="pwg-button-text">{'Calendar'|@translate}</span> </a>{/strip}</li>
+            <li><a class="see_all" href="{$icons.icon_file}" title="{'iconset_seeall'|@translate}" > {'iconset_seeall'|@translate} </a></li>
+          </ul>
+        </div>
       </div>
-    </div> <!-- themeActions -->
-  </div>
-{/foreach}
-</div> <!-- themeBoxes -->
-  <input name="envoi_config" type="hidden" value="iconset" />
-  <input type="hidden" name="pwg_token" value="{$PWG_TOKEN}">
-  <input type="submit" name="button2" id="button2" value="{'iconset_send'|@translate}" />
-</form>
-</fieldset>
-
-<fieldset>
-<legend>{'iconset_All_Icons'|@translate}</legend>
-<div class="iconBoxes">
-{foreach from=$all_icons item=icons}
-  <div class="iconBox">
-    <div class="iconName">{$icons.name}</div>
-    <div class="iconShot"><img src="{$icons.png}" alt=""></div>
-  </div>
-{/foreach}
-</div> <!-- themeBoxes -->
-</fieldset>
-</div> <!-- themesContent -->
+      {/foreach} </div>
+    <!-- themeBoxes -->
+  </fieldset>
+</div>
+<!-- themesContent --> 