Index: extensions/Icons_Set/icons/index.php
===================================================================
--- extensions/Icons_Set/icons/index.php	(revision 10339)
+++ extensions/Icons_Set/icons/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/icons/old_sylvia/index.php
===================================================================
--- extensions/Icons_Set/icons/old_sylvia/index.php	(revision 10339)
+++ extensions/Icons_Set/icons/old_sylvia/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/icons/sylvia/icon.css
===================================================================
--- extensions/Icons_Set/icons/sylvia/icon.css	(revision 10339)
+++ extensions/Icons_Set/icons/sylvia/icon.css	(revision 10339)
@@ -0,0 +1,10 @@
+@import '../../../../themes/default/iconset.css';
+
+.pwg-icon, #iconBox_sylvia .pwg-icon {
+	background-image: url(outline_ff3363.png);
+}
+
+A:hover .pwg-icon, #iconBox_sylvia .pwg-icon a:hover {
+	background-image: url(outline_ff7700.png);
+}
+
Index: extensions/Icons_Set/icons/sylvia/icon_admin.css
===================================================================
--- extensions/Icons_Set/icons/sylvia/icon_admin.css	(revision 10339)
+++ extensions/Icons_Set/icons/sylvia/icon_admin.css	(revision 10339)
@@ -0,0 +1,8 @@
+
+#iconBox_sylvia .pwg-icon {
+	background-image: url(outline_ff3363.png);
+}
+
+#iconBox_sylvia .pwg-icon a:hover {
+	background-image: url(outline_ff7700.png);
+}
Index: extensions/Icons_Set/icons/sylvia/iconset.conf.php
===================================================================
--- extensions/Icons_Set/icons/sylvia/iconset.conf.php	(revision 10339)
+++ extensions/Icons_Set/icons/sylvia/iconset.conf.php	(revision 10339)
@@ -0,0 +1,10 @@
+<?php
+$iconsetconf = array(
+  'name' => 'sylvia',
+  'id' => 'sylvia',
+  'icon_file' => ICONSET_PATH.'icons/sylvia/outline_ff3363.png',
+  'css_file' => ICONSET_PATH.'icons/sylvia/icon.css',
+  'css_file_admin' => ICONSET_PATH.'icons/sylvia/icon_admin.css',
+);
+
+?>
Index: extensions/Icons_Set/icons/sylvia/index.php
===================================================================
--- extensions/Icons_Set/icons/sylvia/index.php	(revision 10339)
+++ extensions/Icons_Set/icons/sylvia/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/icons/tango_vert/index.php
===================================================================
--- extensions/Icons_Set/icons/tango_vert/index.php	(revision 10339)
+++ extensions/Icons_Set/icons/tango_vert/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/index.php
===================================================================
--- extensions/Icons_Set/index.php	(revision 10339)
+++ extensions/Icons_Set/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/language/en_UK/description.txt
===================================================================
--- extensions/Icons_Set/language/en_UK/description.txt	(revision 10339)
+++ extensions/Icons_Set/language/en_UK/description.txt	(revision 10339)
@@ -0,0 +1,1 @@
+Allow you to use other icons for any themes
Index: extensions/Icons_Set/language/en_UK/index.php
===================================================================
--- extensions/Icons_Set/language/en_UK/index.php	(revision 10339)
+++ extensions/Icons_Set/language/en_UK/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Icons_Set/language/en_UK/plugin.lang.php	(revision 10339)
+++ extensions/Icons_Set/language/en_UK/plugin.lang.php	(revision 10339)
@@ -0,0 +1,18 @@
+<?php
+$lang['iconset_error_update'] = 'an error occured during the update of this/these theme(s) (please retry or post on piwigo.org/forum) : ';
+$lang['iconset_update_ok'] = 'the config of this/these theme(s) has been updated : ';
+$lang['iconset_info_new_theme'] = 'This/These theme(s) has/have been deleted : ';
+$lang['iconset_info_new_icon'] = 'This/These icons set(s) has/have been added : ';
+$lang['iconset_info_deleted_theme'] = 'This/These theme(s) has/have been deleted : ';
+$lang['iconset_info_deleted_icon'] = 'This/These icons set(s) has/have been deleted : ';
+
+$lang['iconset_configpage'] = 'Icons Set Config Page';
+
+$lang['iconset_All_Themes'] = 'All the themes are below : select an icons set';
+$lang['iconset_nothing'] = "original icons";
+
+$lang['iconset_send'] = "Save the modifications of the configuration";
+$lang['iconset_All_Icons'] = "All the icons set";
+$lang['iconset_seeall'] = "See all";
+
+?>
Index: extensions/Icons_Set/language/fr_FR/description.txt
===================================================================
--- extensions/Icons_Set/language/fr_FR/description.txt	(revision 10339)
+++ extensions/Icons_Set/language/fr_FR/description.txt	(revision 10339)
@@ -0,0 +1,1 @@
+Permet d'attribuer à n'importe quels thèmes, un autre set d'icônes
Index: extensions/Icons_Set/language/fr_FR/index.php
===================================================================
--- extensions/Icons_Set/language/fr_FR/index.php	(revision 10339)
+++ extensions/Icons_Set/language/fr_FR/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Icons_Set/language/fr_FR/plugin.lang.php	(revision 10339)
+++ extensions/Icons_Set/language/fr_FR/plugin.lang.php	(revision 10339)
@@ -0,0 +1,19 @@
+<?php
+$lang['iconset_error_update'] = 'Une erreur a eut lieu lors de la mise à jour de ce(s) thème(s) (réessayez ou demandez de l\'aide sur fr.piwigo.org/forum : ';
+$lang['iconset_update_ok'] = 'La config de ce(s) thèmes a été mise à jour : ';
+$lang['iconset_info_new_theme'] = 'Ce(s) thème(s) a/ont été ajoutés : ';
+$lang['iconset_info_new_icon'] = 'Ce(s) set(s) a/ont été ajoutés : ';
+$lang['iconset_info_deleted_theme'] = 'Ce(s) thème(s) a/ont été supprimés : ';
+$lang['iconset_info_deleted_icon'] = 'Ce(s) set(s) a/ont été supprimés : ';
+
+$lang['iconset_configpage'] = 'Page Config d\'Icons Set';
+
+$lang['iconset_All_Themes'] = "Attribuer ci-dessous les sets d'icônes aux thèmes";
+$lang['iconset_nothing'] = "icônes d'origine";
+
+$lang['iconset_send'] = "Enregistrer les modifications apportées";
+$lang['iconset_All_Icons'] = "Listes des sets d'icônes disponibles";
+$lang['iconset_seeall'] = "Les voir toutes";
+
+
+?>
Index: extensions/Icons_Set/language/index.php
===================================================================
--- extensions/Icons_Set/language/index.php	(revision 10339)
+++ extensions/Icons_Set/language/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Icons_Set/template/index.php
===================================================================
--- extensions/Icons_Set/template/index.php	(revision 10339)
+++ extensions/Icons_Set/template/index.php	(revision 10339)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>